OpenNMS API 1.2.9

## org.opennms.netmgt.capsd
Class IfCollector.SupportedProtocol

    java.lang.Object
      org.opennms.netmgt.capsd.IfCollector.SupportedProtocol

Enclosing class:
  IfCollector

static final class IfCollector.SupportedProtocol
extends java.lang.Object

This class is used to encapsulate the supported protocol information discovered for an interface. The is the combination of the protocol name and the in/out qualifiers for the plugin.

Author:
  Weave

Field Summary
`private java.lang.String` `m_name` The protocol name
`private java.util.Map` `m_qualifiers` The map of qualifiers from the plugin that discovered this protocol.

Constructor Summary
`(package private)` `IfCollector.SupportedProtocol(java.lang.String protoName, java.util.Map qualifiers)` Creates a new supported protocol based upon the protocol string and the qualifier map.

Method Summary
`(package private) java.lang.String` `getProtocolName()` Returns the name of the discovered protocol.
`(package private) java.util.Map` `getQualifiers()` Returns the map of qualifiers from the plugin that discovered this protocol.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_name

    private final java.lang.String m_name

  The protocol name

### m_qualifiers

    private final java.util.Map m_qualifiers

  The map of qualifiers from the plugin that discovered this protocol.

Constructor Detail

### IfCollector.SupportedProtocol

    IfCollector.SupportedProtocol(java.lang.String protoName,
                                  java.util.Map qualifiers)

  Creates a new supported protocol based upon the protocol string and the qualifier map.

Parameters:
  `protoName` - The name of the protocol.
  `qualifiers` - The protocol qualifiers.

Method Detail

### getProtocolName

    java.lang.String getProtocolName()

  Returns the name of the discovered protocol.

### getQualifiers

    java.util.Map getQualifiers()

  Returns the map of qualifiers from the plugin that discovered this protocol.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.